#
# spec file for package libqdialogsolver1 (Version 1.3.0)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           libqdialogsolver1
Version:        1.3.0
Release:        2.12.1
License:        GPLv2+
Group:          System/Packages
Summary:        QDialog class for showing solver results
Requires:       libzypp >= %( echo `rpm -q --queryformat '%{VERSION}-%{RELEASE}' libzypp`) graphviz
AutoReqProv:    on
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  cmake gcc-c++ gettext-devel libqt4-devel yast2-libyui-devel
# API Changes in zypp 2.1
BuildRequires:  libzypp-devel >= 2.8.7
Source:         libqdialogsolver1-%{version}.tar.bz2

%description
This package provides a QDialog class for showing solver results



Authors:
--------
    Rajko Albrecht <ral@alwins-world.de>
    Stefan Schubert <schubi@suse.de>

%package devel
License:        GPLv2+
Requires:       libqdialogsolver1 == %{version}
Summary:        QDialog class for showing solver results
Group:          Development/Libraries/Other

%description -n libqdialogsolver1-devel
This package provides a QDialog class for showing solver results.
Included needed header files



Authors:
--------
    Rajko Albrecht <ral@alwins-world.de>
    Stefan Schubert <schubi@suse.de>

%prep
%setup -q -n libqdialogsolver1-%{version}

%build
mkdir build
cd build
export CFLAGS="$RPM_OPT_FLAGS"
export CXXFLAGS="$CFLAGS"
cmake -DCMAKE_INSTALL_PREFIX=%{_prefix} \
      -DLIB=%{_lib} \
      -DCMAKE_BUILD_TYPE=Release \
      -DCMAKE_SKIP_RPATH=1 \
      ..
make %{?jobs:-j %jobs} VERBOSE=1
make -C po %{?jobs:-j %jobs} translations

%install
cd build
make install DESTDIR=$RPM_BUILD_ROOT
make -C po install DESTDIR=$RPM_BUILD_ROOT
# Create filelist with translations
cd ..
%{find_lang} dialogsolver

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -f dialogsolver.lang
%defattr(-,root,root)
%dir %{_libdir}/YaST2/plugin
%dir %{_libdir}/YaST2
%{_libdir}/libqdialogsolver.so.1
%{_libdir}/YaST2/plugin/libpy2qt_zypp_solver_dialog.so.2

%files devel
%defattr(-,root,root)
%dir /usr/include/zypp
/usr/include/zypp/*
%{_libdir}/libqdialogsolver.so
%{_libdir}/YaST2/plugin/libpy2qt_zypp_solver_dialog.so

%changelog
* Wed Jun  3 2009 ma@suse.de
- bump up factory version
- version 1.3.0
* Thu Feb  5 2009 schubi@suse.de
- Update translations
- version 1.2.9
* Mon Jan 26 2009 schubi@suse.de
- Update translations
- version 1.2.8
* Fri Jan 23 2009 schubi@suse.de
- Update translations
- version 1.2.7
* Wed Dec 17 2008 schubi@suse.de
- taking correct UTF8 code (bnc #458575)
- Revision 11938
- version 1.2.6
* Fri Nov 21 2008 schubi@suse.de
- update translations
- version 1.2.5
* Thu Nov  6 2008 schubi@suse.de
- update translations
- version 1.2.4
* Fri Oct 24 2008 schubi@suse.de
- updated translations
- version 1.2.3
* Thu Oct  9 2008 schubi@suse.de
- fixed lib path
- version 1.2.2
* Wed Oct  8 2008 schubi@suse.de
- added translations
- version 1.2.1
* Thu Jul 17 2008 ma@suse.de
- Use ${LIB_INSTALL_DIR} to install libs
* Wed Jul  2 2008 schubi@suse.de
- fixed spec file (directories)
* Mon Jun 16 2008 schubi@suse.de
- Translations support added
- switched to qt4
- switched to cmake
- added YaST plugin
- version 1.2.0
* Fri May 23 2008 coolo@suse.de
- cleanup spec
* Tue May 20 2008 schubi@suse.de
- adapt to the new SAT solver
- version 1.0.3
* Mon Oct  1 2007 schubi@suse.de
- can through the tree via double click
* Thu Sep 27 2007 schubi@suse.de
  [B
- added search function
- improved layout
* Wed Jul 25 2007 schubi@suse.de
- inital
